Bug 134020 - Size of radical signs is not updated properly
Summary: Size of radical signs is not updated properly
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 119038 153987
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-18 00:33 PDT by Frédéric Wang (:fredw)
Modified: 2016-06-17 09:58 PDT (History)
3 users (show)

See Also:


Attachments
Screenshot (4.16 KB, image/png)
2014-06-18 00:34 PDT, Frédéric Wang (:fredw)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2014-06-18 00:33:54 PDT
Go to the MathML torture test with Linux and check test 13. If you select "Cambria Math" and then go back to the "Default Font", the size of the radical signs is not updated. That seems to be a problem with how the margin-top and stretch size are managed but I could not find exactly where it comes from when working on bug 119038.

BTW, I think there is actually a small "mistake" in RenderMathMLRoot:

radical->style().setMarginTop(Length(radicalTopMargin, Fixed));

should really be radicalWrapper()->... i.e. we should apply the margin to the wrapper, and leave the inner <mo> renderer alone. However, that does not change the problem here.
Comment 1 Frédéric Wang (:fredw) 2014-06-18 00:34:27 PDT
Created attachment 233292 [details]
Screenshot
Comment 2 Frédéric Wang (:fredw) 2014-06-18 00:37:28 PDT
(This also happens if you zoom in and out)
Comment 3 Frédéric Wang (:fredw) 2016-02-05 05:59:02 PST
This bug will be fixed after the RenderMathMLRoot refactoring.
Comment 4 Frédéric Wang (:fredw) 2016-06-17 09:58:16 PDT
I verified that this is fixed by the http://trac.webkit.org/changeset/202168